org.apache.fop.fo.properties

## Interface ShorthandParser

All Known Implementing Classes:
  BackgroundPositionShorthand.Parser, BorderSpacingShorthandParser, BoxCornerPropShorthandParser, BoxPropShorthandParser, FontShorthandParser, GenericShorthandParser, PageBreakShorthandParser, PositionShorthandParser, VerticalAlignShorthandParser, WhiteSpaceShorthandParser, XMLLangShorthandParser

    public interface ShorthandParser

Interface used to provide parsing capabilities to Properties with shorthand characteristics (those with multiple components).

### Method Summary

All Methods Instance Methods Abstract Methods
`Property` `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

### Method Detail

#### getValueForProperty

    Property getValueForProperty(int propId,
                                 Property property,
                                 PropertyMaker maker,
                                 PropertyList propertyList)
                          throws PropertyException

Parameters:
  `propId` - the property ID in the Constants interface
  `property` - from which value is obtained
  `maker` - Maker object for the Property
  `propertyList` - list of properties
Returns:
  Property object corresponding to propName
Throws:
  `PropertyException` - in case a property exception occurs